/*!*********************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./node_modules/sass-loader/dist/cjs.js!./src/style.scss ***!
  \*********************************************************************************************************/
@import url(https://fonts.googleapis.com/icon?family=Material+Icons);
/*!*************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./node_modules/sass-loader/dist/cjs.js!./src/style.scss (1) ***!
  \*************************************************************************************************************/
*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: sans-serif;
  color: white;
  list-style: none;
  text-decoration: none;
}

html {
  scroll-behavior: smooth;
}

body {
  background-color: #fff;
  box-sizing: inherit;
  display: flex;
  flex-direction: column;
}

button {
  padding: 0.7em;
  border-radius: 50%;
}

.icons {
  font-family: "Material Icons", sans-serif;
  font-size: 2.4rem;
}

.menu-icon {
  width: 10%;
  height: auto;
}

header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 0.4rem;
  background-color: rgb(1, 3, 7);
  position: fixed;
  width: 100vw;
  z-index: 1000;
}
header h1,
header h2 {
  font-size: 90%;
  color: white;
}
header .filmIcon {
  width: 50%;
  margin-left: 25%;
}
header .navBarTitle {
  font-size: 50%;
}
header .icon-movie {
  color: #fff;
}
header button {
  background-color: transparent;
  border: none;
  display: flex;
  justify-content: center;
  align-items: center;
}

.popup {
  margin-top: 2rem;
  border-radius: 1rem;
  font-size: 0.8rem;
  padding: 1rem 1.5rem 1.5rem;
  position: fixed;
  z-index: 100;
  display: flex;
  justify-content: center;
  width: 100%;
  max-height: 95%;
  overflow: hidden;
  overflow-y: scroll;
  backdrop-filter: blur(10px);
}

.popup-content {
  width: 60%;
  height: max-content;
  background-color: rgb(14, 14, 45);
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 1rem;
  border-radius: 20px;
  margin-top: 1rem;
  margin-bottom: 5rem;
}

.popup-title {
  color: #f2a413;
  font-size: 2rem;
  margin: 0;
  align-self: flex-start;
  margin-right: 3rem;
}

.close-popup {
  width: 1.5rem;
  height: 1.5rem;
  background-repeat: no-repeat;
  background-size: cover;
  border-style: none;
  background-color: rgb(43, 95, 236);
  align-self: flex-end;
  position: fixed;
  transition: 0.1s;
  border-radius: 30px;
  color: rgb(250, 245, 245);
  font-size: large;
  display: flex;
  align-items: center;
  justify-content: center;
}

.close-popup:hover {
  width: 1.8rem;
  height: 1.8rem;
  transition: 0.1s;
}

.popup-rating-div {
  align-self: flex-start;
  height: 1rem;
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-top: 0.3rem;
  gap: 0.5rem;
}

.popup-star {
  height: 1.5rem;
}

.popup-punt {
  color: rgb(246, 215, 16);
}

.popup-img {
  width: auto;
  height: 70vh;
  object-fit: scale-down;
  align-self: flex-start;
  margin: auto;
}

.popup-description {
  color: rgb(220, 188, 10);
  margin-top: 1rem;
  align-self: flex-start;
  margin-left: 2rem;
  text-align: justify;
  line-height: 1.2em;
  margin-right: 2rem;
}

.popup-category {
  align-self: flex-start;
  display: flex;
  flex-direction: row;
  margin-left: 2rem;
  gap: 0.5rem;
}

.popup-cat-des {
  color: rgb(77, 221, 147);
  margin-top: 1rem;
  align-self: flex-start;
  border: 1.5px solid #a68c6d;
  border-radius: 30px;
  padding: 0.5rem;
}

.popup-line {
  margin-top: 2rem;
  width: 100%;
  border: 1px solid #a68c6d;
}

.popup-subtilte {
  color: aliceblue;
  margin-top: 0.5rem;
  margin-left: 2rem;
  align-self: flex-start;
  margin-bottom: 1rem;
}

.popup-comment-list {
  align-self: flex-start;
  width: 90%;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  margin-left: 2rem;
}

.comment-item {
  display: flex;
  flex-direction: column;
  padding: 0.5rem;
  border: 1px solid #a68c6d;
  width: 100%;
  list-style: none;
  border-radius: 5px;
}

.user {
  color: rgb(55, 194, 166);
}

.date {
  color: white;
}

.user-comment {
  color: white;
}

/* review form */
.popup-form {
  align-self: flex-start;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  margin-left: 2rem;
  margin-top: 0.5rem;
  width: 60%;
  margin-bottom: 2rem;
}

#popup-subtitle {
  align-self: flex-start;
  margin-left: 0;
}

.popup-form-name {
  width: 14rem;
  height: 2rem;
  border-radius: 5px;
  padding-left: 0.5rem;
  border-style: none;
  color: black;
}

.popup-form-msg {
  width: 100%;
  height: 5rem;
  border-radius: 5px;
  padding-left: 0.5rem;
  padding-top: 0.5rem;
  border-style: none;
  color: black;
}

.popup-submit {
  width: 5rem;
  height: 2.5rem;
  border-radius: 5px;
  padding-left: 0.5rem;
  align-self: flex-start;
  background-color: rgb(183, 121, 7);
  font-size: 1rem;
  text-decoration: none;
  font-weight: bold;
  border-width: 2px;
}

.cards {
  margin-top: 6rem;
  padding-bottom: 4rem;
  display: grid;
  grid-template-columns: auto;
  place-items: center;
  position: relative;
  gap: 1rem;
  margin-left: auto;
  margin-right: auto;
  z-index: 1;
  overflow-y: scroll;
}
.cards .cardItem {
  margin-bottom: 2rem;
  display: flex;
  flex-direction: column;
  align-content: center;
  background-color: rgb(85, 32, 170);
  width: 400px;
  height: 600px;
  border-radius: 1rem;
  box-shadow: 0 4px 5px rgb(67, 45, 99);
}
.cards .cardItem .cardImg {
  border: 4px solid rgb(67, 45, 99);
  width: 90%;
  height: 400px;
  border-radius: 1rem;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  margin: auto;
}
.cards .cardItem .cardImg:hover {
  box-shadow: 0 0 30px black inset;
}
.cards .cardItem .cardName {
  margin-top: 1rem;
  font-size: 1.5rem;
  color: white;
  height: 50px;
  text-align: center;
}
.cards .cardItem .cardName:hover {
  cursor: pointer;
  color: yellow;
}
.cards .cardItem .starContainer {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  margin-top: 1rem;
  width: 80%;
  gap: 4rem;
}
.cards .cardItem .starRate {
  font-size: 1.5rem;
  margin-left: 5rem;
  color: #f2a413;
}
.cards .cardItem .likesCount {
  font-size: 1rem;
  border-radius: 1rem;
  color: white;
  width: 10%;
  text-align: center;
  margin-right: auto;
}
.cards .cardItem .likesContainer {
  color: #a67417;
  cursor: pointer;
  margin-right: auto;
}
.cards .cardItem .likesContainer:hover {
  background-color: #f2a413;
}
.cards .cardItem .liked {
  color: #f2a413;
}
.cards .cardItem .commentBtn {
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 1rem;
  font-weight: 900;
  border-radius: 0.8rem;
  color: rgb(67, 45, 99);
  background-color: white;
  width: 40%;
  border: 2px solid white;
  box-shadow: 5px 5px 5px 0 rgba(0, 0, 0, 0.3);
  cursor: pointer;
  opacity: 0.7;
}
.cards .cardItem .commentBtn:hover {
  opacity: 1;
}

footer {
  display: block;
  width: 100%;
  text-align: center;
  padding: 1rem;
  position: fixed;
  bottom: 0;
  background-color: rgb(1, 3, 7);
  z-index: 1000;
}
footer a {
  margin-left: 1rem;
  color: white;
}

@media screen and (min-width: 768px) {
  header {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
  }
  header button {
    margin-left: 2rem;
  }
  header h1 {
    font-size: 120%;
    margin-left: 2rem;
  }
  header h2 {
    font-size: 120%;
    margin-left: 2rem;
  }
  header h3 {
    margin-top: 1rem;
    font-size: 1.5rem;
    margin-left: 2rem;
    color: white;
  }
  header h3:hover {
    text-decoration: underline;
  }
  .cards {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
  }
  .cards .cardItem .cardName {
    height: 75px;
  }
  .cards .cardItem .likesCount {
    width: 10%;
  }
}
